#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
backend-version: 1.0.0
spring:
  datasource:
    url: jdbc:postgresql://entopticadirx:5432/GridFailureInfoDevServer
    username: ${GFI_DB_USERNAME}
    password: ${GFI_DB_PASSWORD}
    driver-class-name: org.postgresql.Driver
  flyway:
    enabled: false
  main:
    allow-bean-definition-overriding: true

  # RabbitMQ configuration
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importchannel
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

    # Exportchannels
    exportExchange: sitExportExchange
    mail_export_queue: sit_mail_export_queue
    mail_export_routingkey: sit_mail_export_key
    channels:
      - name: Mail (lang)
        exportQueue: sit_mail_export_queue
        exportKey: sit_mail_export_key
        type: longMail # EMail
        initialDefault: true
      - name: Mail (kurz)
        exportQueue: sit_mail_export_queue
        exportKey: sit_mail_export_key
        type: shortMail # For example SMS
        initialDefault: true
      - name: Störungsauskunft.de
        exportQueue: sit_stoerungsauskunft_export_queue
        exportKey: sit_stoerungsauskunft_export_key
        type: stoerungsauskunftde
        initialDefault: false
      - name: Störinfotool-eigene-Web-Komponenten #App und Internet
        exportQueue: sit_own_export_queue
        exportKey: sit_own_export_key
        type: webcomponent
        initialDefault: false

  # UI setting (Map)
  settings:
    overviewMapInitialZoom: 10
    detailMapInitialZoom: 10
    overviewMapInitialLatitude: 49.656634
    overviewMapInitialLongitude: 8.423207
    daysInPastToShowClosedInfos: 365
    dataExternInitialVisibility: hide

    mapTileAttribution: "&copy; <a href=\"http://www.openstreetmap.org/copyright\">OpenStreetMap</a>"
    mapTileLayerUrl: "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
    #mapTileLayerUrl: "http://company1.wms.omniscale.net/mapproxy/service?"
    #mapWmsLayer: "osm"
    iconUrl:

    plzLookupEnabled: true
    nominatimURL: https://nominatim.openstreetmap.org

    isUseHtmlEmailBtnTemplate: true
    # Mail settings (Default templates)
    emailSubjectPublishInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status veröffentlicht geändert."
    emailContentPublishInit: "<p><b>Veröffentlicht [TEST]</b></p>
                              <p>Sehr geehrte Damen und Herren,</p>
                              <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                              $Direkter_Link_zur_Störung$
                              <p>Mit freundlichen Grüßen</p>
                              <p>Ihr Admin-Meister-Team der PTA GmbH</p>"
    emailSubjectUpdateInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status aktualisiert geändert."
    emailContentUpdateInit: "<p><b>Aktualisiert [TEST]</b></p>
                             <p>Sehr geehrte Damen und Herren,</p>
                             <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                             $Direkter_Link_zur_Störung$
                             <p>Mit freundlichen Grüßen</p>
                             <p>Ihr Admin-Meister-Team der PTA GmbH</p>"
    emailSubjectCompleteInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status beendet geändert."
    emailContentCompleteInit: "<p><b>Beendet [TEST]</b></p>
                              <p>Sehr geehrte Damen und Herren,</p>
                              <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                              $Direkter_Link_zur_Störung$
                              <p>Mit freundlichen Grüßen</p>
                              <p>Ihr Admin-Meister-Team der PTA GmbH</p>"

    # Mail settings short text (SMS) (Default templates)
    emailSubjectPublishShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status veröffentlicht geändert."
    emailContentPublishShortInit: "Veröffentlicht [SHORT-TEST]
                              Sehr geehrte Damen und Herren,
                              die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                              $Direkter_Link_zur_Störung$
                              Mit freundlichen Grüßen
                              Ihr Admin-Meister-Team der PTA GmbH"
    emailSubjectUpdateShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status aktualisiert geändert."
    emailContentUpdateShortInit: "Aktualisiert [SHORT-TEST]
                                  Sehr geehrte Damen und Herren,
                                  die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                                  $Direkter_Link_zur_Störung$
                                  Mit freundlichen Grüßen
                                  Ihr Admin-Meister-Team der PTA GmbH"
    emailSubjectCompleteShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status beendet geändert."
    emailContentCompleteShortInit: "Beendet [SHORT-TEST]
                                  Sehr geehrte Damen und Herren,
                                  die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                                  $Direkter_Link_zur_Störung$
                                  Mit freundlichen Grüßen
                                  Ihr Admin-Meister-Team der PTA GmbH"

    visibilityConfiguration:
      fieldVisibility:
        failureClassification: show
        responsibility: show
        description: show
        internalRemark: show
      tableInternColumnVisibility:
        failureClassification: show
        responsibility: show
        description: show
        statusIntern: show
        statusExtern: show
        publicationStatus: show
        branch: show
        voltageLevel: show
        pressureLevel: show
        failureBegin: show
        failureEndPlanned: show
        failureEndResupplied: show
        expectedReasonText: show
        internalRemark: show
        postcode: show
        city: show
        district: show
        street: show
        housenumber: show
        radius: show
        stationIds: show
      tableExternColumnVisibility:
        branch: show
        failureBegin: show
        failureEndPlanned: show
        expectedReasonText: show
        description: show
        postcode: show
        city: show
        district: show
        street: show
        failureClassification: show
      mapExternTooltipVisibility:
        failureBegin: show
        failureEndPlanned: show
        expectedReasonText: show
        branch: show
        postcode: show
        city: show
        district: show
  jpa:
    show-sql: false
    open-in-view: true

logging:
  level:
    root: INFO
    org.eclipse.openk: INFO
    org.springframework.web: ERROR
    org.hibernate: ERROR

server:
  port: 9165
  max-http-request-header-size: 262144

jwt:
  tokenHeader: Authorization
  useStaticJwt: false
  staticJwt: x
  requiredRole:

gridFailureInformation:
  maxListSize: 2000

email:
  sender: sender@test.tester
  smtpHost: entdockergss
  port: 1025
  isHtmlEmail: true
  isUseHtmlEmailTemplate: true

# Services configuration
services:
  authNAuth:
    name: authNAuthService
    url: http://entopkon:8880
    technical-username: ${GFI_AUTHNAUTH_USERNAME}
    technical-userpassword: ${GFI_AUTHNAUTH_PASSWORD}
  contacts:
    name: contactService
    url: http://entdockergss:9155
    communicationType:
      mobile: Mobil
    useModuleNameForFilter: false
    moduleName: Störungsinformationstool
  sitCache:
    name: sitCacheService
    url: http://entdockergss:3003

feLoginURL: http://entdockergss:4223
portalFeLoginURL: http://entopkon:8880/portalFE/#/login
portalFeModulename: SIT DEV

feign:
  client:
    config:
      default:
        connectTimeout: 60000
        readTimeout: 60000
cors:
  corsEnabled: false
  allowedOrigins: "*"

process:
  definitions:
    classification:
      plannedMeasureDbid: 2

# Bei Mittelspannung oder bei den nachfolgend definierten Branches füge Adress-Polygonpunkte für Kartenanzeige hinzu
# Kommaseparierte Liste (Bsp.: "TV,TE,TI,TK,IN,ST,OS")
polygonBranches: "TK"

reminder:
  status-change:
    enabled: false
    minutes-before: 1440

distribution-group-publisher:
  name: Veröffentlicher
  distribution-text: Bitte anpassen

export-to-dmz:
  enabled: true
  password: cacheUpdateStrongPassword
  source: enetz
  cron: "0 0 * * * *" # every hour
  #cron: "0 */1 * ? * *" #every minute

smsApiKey:
smsUrl:

swagger:
  enabled: true

failureAutoClose: false
failureAutoCloseHoursAfter: 48
failureAutoCloseCron: "0 */5 * * * *"

geoJsonImport:
  filepattern: '^geoj_(\d+)_(.*).(json)$'
  enabled: false
  cron: "0 */1 * ? * *" #every minute
  #cron: "*/10 * * ? * *" #10 sec
  #folder: "C:\\Workspace\\Projekte\\OpenK\\EGitlab\\SIT\\test"
  folder: "/usr/src/sit/geojsonimporter"

---

spring:
  config:
    activate:
      on-profile: devserver
  datasource:
    url: jdbc:postgresql://localhost:5432/GridFailureInfoDevServer
    username: ${GFI_DB_USERNAME}
    password: ${GFI_DB_PASSWORD}
    max-active: 30
  flyway:
    enabled: false
  rabbitmq:
    host: ${RMQ_HOST}
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

    # Exportkanäle
    exportExchange: sitExportExchange
    channels:
      - name: Mail
        exportQueue: sit_mail_export_queue
        exportKey: sit_mail_export_key
        isMailType: true
      - name: Störungsauskunft.de
        exportQueue: sit_stoerungsauskunft_export_queue
        exportKey: sit_stoerungsauskunft_export_key
      - name: Störinfotool-eigene-Web-Komponenten
        exportQueue: sit_own_export_queue
        exportKey: sit_own_export_key


logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR
    org.hibernate: ERROR

jwt:
  tokenHeader: Authorization
  useStaticJwt: false
  staticJwt: eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJIYlI3Z2pobmE2eXJRZnZJTWhUSV9tY2g3ZmtTQWVFX3hLTjBhZVl0bjdjIn0.eyJqdGkiOiJlMmQ2YjE3Zi1iMWUyLTQxMzUtOTM1YS0zOWRiMmFkMzE5MjYiLCJleHAiOjE1ODYwMTI1MzUsIm5iZiI6MCwiaWF0IjoxNTg2MDEyMjM1LCJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjgwODAvYXV0aC9yZWFsbXMvRWxvZ2Jvb2siLCJhdWQiOiJlbG9nYm9vay1iYWNrZW5kIiwic3ViIjoiMzMzMmRmOWItYmYyMy00Nzg5LThmMmQtM2JhZTM2MzA4YzNkIiwidHlwIjoiQmVhcmVyIiwiYXpwIjoiZWxvZ2Jvb2stYmFja2VuZCIsImF1dGhfdGltZSI6MCwic2Vzc2lvbl9zdGF0ZSI6IjYxMzRmN2RhLTdlNjQtNDJjNy05NjYyLTY0ZGNhZTk1MjQ5YSIsImFjciI6IjEiLCJhbGxvd2VkLW9yaWdpbnMiOlsiKiJdLCJyZWFsbV9hY2Nlc3MiOnsicm9sZXMiOlsiZ3JpZC1mYWlsdXJlLXF1YWxpZmllciIsImdyaWQtZmFpbHVyZS1jcmVhdG9yIiwiZ3JpZC1mYWlsdXJlLWFjY2VzcyIsImdyaWQtZmFpbHVyZS1hZG1pbiIsImdyaWQtZmFpbHVyZS1wdWJsaXNoZXIiXX0sInJlc291cmNlX2FjY2VzcyI6e30sIm5hbWUiOiJTdGF0aWMgSldUIiwicHJlZmVycmVkX3VzZXJuYW1lIjoidGVzdHVzZXJfZ2ZpX3N0YXRpY2p3dCIsImdpdmVuX25hbWUiOiJTdGF0aWMiLCJmYW1pbHlfbmFtZSI6IkpXVCJ9.SWpekZHxlDNWbaaZ2fHlts00c1Xi6yIb0ZMr9f8ujSI_6LVYuHx8FTt6g9tinyVcx5gQKfrooRW28Cdq1EVuexNtTtZ7ciKk4iEo_kgqUgRvHCwO7HQl2igpoGErheYD0kj3-u4Te6NPHKtXWIEfGyl0ZQBD2c4vtaCTQAy5Ilb146G7p_IcLYaZgpJPlGG0Bf2oZ0UqTQsrXxRJkXWARDz8D4lIrN84lAbqNlPlSZDN-8xp_z6mXgWpvgeZuFoYHItJMg2cjR0SXH-ycbWVXctRNQJfTWR0acIhp_nB_Xe6JlUx2vls99EVw-WUrd0hc8Y9658HdeyktvpQLDxP2g

server:
  port: 9165

cors:
  corsEnabled: true

swagger:
  enabled: true
  baseUrl: /

  servlet:
    session:
      tracking-modes: cookie
  max-http-request-header-size: 262144

portalFeLoginURL: http://169.50.13.154/portalFE/#/login
portalFeModulename: Störungsinformationstool
services:
  authNAuth:
    name: authNAuthService
    url: http://portal.localhost
    technical-username: admin
    technical-userpassword: admin
  contacts:
    name: contactService
    url: http://localhost:9155
    communicationType:
      mobile: Mobil
  sitCache:
    name: sitCacheService
    url: http://localhost:3000

---

spring:
  config:
    activate:
      on-profile: devserver-branch
  datasource:
    url: jdbc:postgresql://postgres:5432/GridFailureInfoDevelop
    username: ${GFI_DB_USERNAME}
    password: ${GFI_DB_PASSWORD}
    max-active: 5
  rabbitmq:
    # Importkanal
    importExchange: sitImportExchange_branch
    importQueue: sitImportQueue_branch
    importkey: sitImportExchange.failureImportKey

    # Exportkanäle
    exportExchange: sitExportExchange_branch
    mail_export_queue: sit_mail_export_queue_branch
    mail_export_routingkey: sit_mail_export_key
    channels:
      - name: Mail (lang)
        exportQueue: sit_mail_export_queue_branch
        exportKey: sit_mail_export_key
        isMailTypeLong: true # EMail
      - name: Mail (kurz)
        exportQueue: sit_mail_export_queue_branch
        exportKey: sit_mail_export_key
        isMailTypeShort: true # For example SMS
      - name: Störungsauskunft.de
        exportQueue: sit_stoerungsauskunft_export_queue_branch
        exportKey: sit_stoerungsauskunft_export_key
      - name: Störinfotool-eigene-Web-Komponenten
        exportQueue: sit_own_export_queue_branch
        exportKey: sit_own_export_key

sitCacheService:
  ribbon:
    listOfServers: http://entdockergss:3013

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR
    org.hibernate: ERROR

jwt:
  tokenHeader: Authorization
  useStaticJwt: false
  staticJwt: eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJIYlI3Z2pobmE2eXJRZnZJTWhUSV9tY2g3ZmtTQWVFX3hLTjBhZVl0bjdjIn0.eyJqdGkiOiJlMmQ2YjE3Zi1iMWUyLTQxMzUtOTM1YS0zOWRiMmFkMzE5MjYiLCJleHAiOjE1ODYwMTI1MzUsIm5iZiI6MCwiaWF0IjoxNTg2MDEyMjM1LCJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjgwODAvYXV0aC9yZWFsbXMvRWxvZ2Jvb2siLCJhdWQiOiJlbG9nYm9vay1iYWNrZW5kIiwic3ViIjoiMzMzMmRmOWItYmYyMy00Nzg5LThmMmQtM2JhZTM2MzA4YzNkIiwidHlwIjoiQmVhcmVyIiwiYXpwIjoiZWxvZ2Jvb2stYmFja2VuZCIsImF1dGhfdGltZSI6MCwic2Vzc2lvbl9zdGF0ZSI6IjYxMzRmN2RhLTdlNjQtNDJjNy05NjYyLTY0ZGNhZTk1MjQ5YSIsImFjciI6IjEiLCJhbGxvd2VkLW9yaWdpbnMiOlsiKiJdLCJyZWFsbV9hY2Nlc3MiOnsicm9sZXMiOlsiZ3JpZC1mYWlsdXJlLXF1YWxpZmllciIsImdyaWQtZmFpbHVyZS1jcmVhdG9yIiwiZ3JpZC1mYWlsdXJlLWFjY2VzcyIsImdyaWQtZmFpbHVyZS1hZG1pbiIsImdyaWQtZmFpbHVyZS1wdWJsaXNoZXIiXX0sInJlc291cmNlX2FjY2VzcyI6e30sIm5hbWUiOiJTdGF0aWMgSldUIiwicHJlZmVycmVkX3VzZXJuYW1lIjoidGVzdHVzZXJfZ2ZpX3N0YXRpY2p3dCIsImdpdmVuX25hbWUiOiJTdGF0aWMiLCJmYW1pbHlfbmFtZSI6IkpXVCJ9.SWpekZHxlDNWbaaZ2fHlts00c1Xi6yIb0ZMr9f8ujSI_6LVYuHx8FTt6g9tinyVcx5gQKfrooRW28Cdq1EVuexNtTtZ7ciKk4iEo_kgqUgRvHCwO7HQl2igpoGErheYD0kj3-u4Te6NPHKtXWIEfGyl0ZQBD2c4vtaCTQAy5Ilb146G7p_IcLYaZgpJPlGG0Bf2oZ0UqTQsrXxRJkXWARDz8D4lIrN84lAbqNlPlSZDN-8xp_z6mXgWpvgeZuFoYHItJMg2cjR0SXH-ycbWVXctRNQJfTWR0acIhp_nB_Xe6JlUx2vls99EVw-WUrd0hc8Y9658HdeyktvpQLDxP2g

server:
  port: 9165

cors:
  corsEnabled: true

swagger:
  enabled: true

---

spring:
  config:
    activate:
      on-profile: devserver-unsecure

  rabbitmq:
    # Importkanal
    importExchange: sitImportExchange_unsecure
    importQueue: sitImportQueue_unsecure
    importkey: sitImportExchange.failureImportKey

    # Exportkanäle
    exportExchange: sitExportExchange_unsecure
    mail_export_queue: sit_mail_export_queue_unsecure
    mail_export_routingkey: sit_mail_export_key
    channels:
      - name: Mail (lang)
        exportQueue: sit_mail_export_queue_unsecure
        exportKey: sit_mail_export_key
        isMailTypeLong: true # EMail
        type: longMail
      - name: Mail (kurz)
        exportQueue: sit_mail_export_queue_unsecure
        exportKey: sit_mail_export_key
        isMailTypeShort: true # For example SMS
        type: shortMail
      - name: Störungsauskunft.de
        exportQueue: sit_stoerungsauskunft_export_queue_unsecure
        exportKey: sit_stoerungsauskunft_export_key
        type: stoerungsauskunftde
      - name: Störinfotool-eigene-Web-Komponenten
        exportQueue: sit_own_export_queue_unsecure
        exportKey: sit_own_export_key
        type: webcomponent

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR
    org.hibernate: ERROR

jwt:
  tokenHeader: Authorization
  useStaticJwt: true
  staticJwt: eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJIYlI3Z2pobmE2eXJRZnZJTWhUSV9tY2g3ZmtTQWVFX3hLTjBhZVl0bjdjIn0.eyJqdGkiOiJlMmQ2YjE3Zi1iMWUyLTQxMzUtOTM1YS0zOWRiMmFkMzE5MjYiLCJleHAiOjE1ODYwMTI1MzUsIm5iZiI6MCwiaWF0IjoxNTg2MDEyMjM1LCJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjgwODAvYXV0aC9yZWFsbXMvRWxvZ2Jvb2siLCJhdWQiOiJlbG9nYm9vay1iYWNrZW5kIiwic3ViIjoiMzMzMmRmOWItYmYyMy00Nzg5LThmMmQtM2JhZTM2MzA4YzNkIiwidHlwIjoiQmVhcmVyIiwiYXpwIjoiZWxvZ2Jvb2stYmFja2VuZCIsImF1dGhfdGltZSI6MCwic2Vzc2lvbl9zdGF0ZSI6IjYxMzRmN2RhLTdlNjQtNDJjNy05NjYyLTY0ZGNhZTk1MjQ5YSIsImFjciI6IjEiLCJhbGxvd2VkLW9yaWdpbnMiOlsiKiJdLCJyZWFsbV9hY2Nlc3MiOnsicm9sZXMiOlsiZ3JpZC1mYWlsdXJlLXF1YWxpZmllciIsImdyaWQtZmFpbHVyZS1jcmVhdG9yIiwiZ3JpZC1mYWlsdXJlLWFjY2VzcyIsImdyaWQtZmFpbHVyZS1hZG1pbiIsImdyaWQtZmFpbHVyZS1wdWJsaXNoZXIiXX0sInJlc291cmNlX2FjY2VzcyI6e30sIm5hbWUiOiJTdGF0aWMgSldUIiwicHJlZmVycmVkX3VzZXJuYW1lIjoidGVzdHVzZXJfZ2ZpX3N0YXRpY2p3dCIsImdpdmVuX25hbWUiOiJTdGF0aWMiLCJmYW1pbHlfbmFtZSI6IkpXVCJ9.SWpekZHxlDNWbaaZ2fHlts00c1Xi6yIb0ZMr9f8ujSI_6LVYuHx8FTt6g9tinyVcx5gQKfrooRW28Cdq1EVuexNtTtZ7ciKk4iEo_kgqUgRvHCwO7HQl2igpoGErheYD0kj3-u4Te6NPHKtXWIEfGyl0ZQBD2c4vtaCTQAy5Ilb146G7p_IcLYaZgpJPlGG0Bf2oZ0UqTQsrXxRJkXWARDz8D4lIrN84lAbqNlPlSZDN-8xp_z6mXgWpvgeZuFoYHItJMg2cjR0SXH-ycbWVXctRNQJfTWR0acIhp_nB_Xe6JlUx2vls99EVw-WUrd0hc8Y9658HdeyktvpQLDxP2g

server:
  port: 9166

contactService:
  ribbon:
    listOfServers: http://entdockergss:9156

cors:
  corsEnabled: true


export-to-dmz:
  enabled: false
  password: cacheUpdateENetz

swagger:
  enabled: true

---

#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
backend-version: 1.0.0
spring:
  config:
    activate:
      on-profile: local
  datasource:
    # Postgres: localhost:75432, user gfi_service, password gfi_service
    #url: ${DATASOURCE_URL}
    #username: ${APP_DB_ROLE}
    #password: ${APP_DB_PASSWORD}
    url: jdbc:postgresql://localhost:5432/GridFailureInfoDevServer
    username: ${GFI_DB_USERNAME}
    password: ${GFI_DB_PASSWORD}
    max-active: 5
  flyway:
    enabled: false
  main:
    allow-bean-definition-overriding: true

  # RabbitMQ configuration
  rabbitmq:
    host: ${RMQ_HOST}
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importchannel
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

    # Exportchannels
    exportExchange: sitExportExchange
    mail_export_queue: sit_mail_export_queue
    mail_export_routingkey: sit_mail_export_key
    channels:
      - name: Mail (lang)
        exportQueue: sit_mail_export_queue
        exportKey: sit_mail_export_key
        type: longMail # EMail
        initialDefault: true
      - name: Mail (kurz)
        exportQueue: sit_mail_export_queue
        exportKey: sit_mail_export_key
        type: shortMail # For example SMS
        initialDefault: true
      - name: Störungsauskunft.de
        exportQueue: sit_stoerungsauskunft_export_queue
        exportKey: sit_stoerungsauskunft_export_key
        type: stoerungsauskunftde
        initialDefault: false
      - name: Störinfotool-eigene-Web-Komponenten #App und Internet
        exportQueue: sit_own_export_queue
        exportKey: sit_own_export_key
        type: webcomponent
        initialDefault: false

  # UI setting (Map)
  settings:
    overviewMapInitialZoom: 10
    detailMapInitialZoom: 10
    overviewMapInitialLatitude: 49.656634
    overviewMapInitialLongitude: 8.423207
    daysInPastToShowClosedInfos: 365
    dataExternInitialVisibility: hide
    #dataExternInitialVisibility: show

    mapTileAttribution: "&copy; <a href=\"http://www.openstreetmap.org/copyright\">OpenStreetMap</a>"
    mapTileLayerUrl: "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
    #mapTileLayerUrl: "http://company1.wms.omniscale.net/mapproxy/service?"
    #mapWmsLayer: "osm"
    #iconUrl: "http://localhost:4201/assets/Stoerungsinformation/marker-icon.png"
    iconUrl: "http://localhost:4201/marker-icon.png"
    #iconUrl:

    plzLookupEnabled: true
    nominatimURL: https://nominatim.openstreetmap.org

    isUseHtmlEmailBtnTemplate: true
    # Mail settings (Default templates)
    emailSubjectPublishInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status veröffentlicht geändert."
    emailContentPublishInit: "<p><b>Veröffentlicht [TEST]</b></p>
                              <p>Sehr geehrte Damen und Herren,</p>
                              <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                              $Direkter_Link_zur_Störung$
                              <p>Mit freundlichen Grüßen</p>
                              <p>Ihr Admin-Meister-Team der PTA GmbH</p>"
    emailSubjectUpdateInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status aktualisiert geändert."
    emailContentUpdateInit: "<p><b>Aktualisiert [TEST]</b></p>
                             <p>Sehr geehrte Damen und Herren,</p>
                             <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                             $Direkter_Link_zur_Störung$
                             <p>Mit freundlichen Grüßen</p>
                             <p>Ihr Admin-Meister-Team der PTA GmbH</p>"
    emailSubjectCompleteInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status beendet geändert."
    emailContentCompleteInit: "<p><b>Beendet [TEST]</b></p>
                              <p>Sehr geehrte Damen und Herren,</p>
                              <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                              $Direkter_Link_zur_Störung$
                              <p>Mit freundlichen Grüßen</p>
                              <p>Ihr Admin-Meister-Team der PTA GmbH</p>"

    # Mail settings short text (SMS) (Default templates)
    emailSubjectPublishShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status veröffentlicht geändert."
    emailContentPublishShortInit: "Veröffentlicht [SHORT-TEST]
                              Sehr geehrte Damen und Herren,
                              die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                              $Direkter_Link_zur_Störung$
                              Mit freundlichen Grüßen
                              Ihr Admin-Meister-Team der PTA GmbH"
    emailSubjectUpdateShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status aktualisiert geändert."
    emailContentUpdateShortInit: "Aktualisiert [SHORT-TEST]
                                  Sehr geehrte Damen und Herren,
                                  die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                                  $Direkter_Link_zur_Störung$
                                  Mit freundlichen Grüßen
                                  Ihr Admin-Meister-Team der PTA GmbH"
    emailSubjectCompleteShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status beendet geändert."
    emailContentCompleteShortInit: "Beendet [SHORT-TEST]
                                  Sehr geehrte Damen und Herren,
                                  die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                                  $Direkter_Link_zur_Störung$
                                  Mit freundlichen Grüßen
                                  Ihr Admin-Meister-Team der PTA GmbH"

    visibilityConfiguration:
      fieldVisibility:
        failureClassification: show
        responsibility: show
        description: show
        internalRemark: show
      tableInternColumnVisibility:
        failureClassification: show
        responsibility: show
        description: show
        statusIntern: show
        statusExtern: show
        publicationStatus: show
        branch: show
        voltageLevel: show
        pressureLevel: show
        failureBegin: show
        failureEndPlanned: show
        failureEndResupplied: show
        expectedReasonText: show
        internalRemark: show
        postcode: show
        city: show
        district: show
        street: show
        housenumber: show
        radius: show
        stationIds: show
      tableExternColumnVisibility:
        branch: show
        failureBegin: show
        failureEndPlanned: show
        expectedReasonText: show
        description: show
        postcode: show
        city: show
        district: show
        street: show
        failureClassification: show
      mapExternTooltipVisibility:
        failureBegin: show
        failureEndPlanned: show
        expectedReasonText: show
        branch: show
        postcode: show
        city: show
        district: show
  jpa:
    show-sql: false
    open-in-view: true

logging:
  level:
    root: INFO
    org.eclipse.openk: INFO
    org.springframework.web: ERROR
    org.hibernate: ERROR

server:
  port: 9165
  max-http-request-header-size: 262144

jwt:
  tokenHeader: Authorization
  useStaticJwt: true
  staticJwt: x
  requiredRole:

gridFailureInformation:
  maxListSize: 2000

email:
  sender: sender@test.tester
  smtpHost: localhost
  port: 1025
  isHtmlEmail: true
  isUseHtmlEmailTemplate: true

# Services configuration
services:
  authNAuth:
    name: authNAuthService
    url: http://portal.localhost
    technical-username: admin
    technical-userpassword: ${KEYCLOAK_PASSWORD_TECHUSER}
  contacts:
    name: contactService
    url: http://localhost:9155
    communicationType:
      mobile: Mobil
    useModuleNameForFilter: false
    moduleName: Störungsinformationstool
  sitCache:
    name: sitCacheService
    url: http://localhost:8080

#feLoginURL: http://entdockergss:4223
feLoginURL:
portalFeLoginURL: http://portal.localhost/portalFE/#/login
#portalFeModulename: Störungsinformationstool
portalFeModulename: SIT local

feign:
  client:
    config:
      default:
        connectTimeout: 60000
        readTimeout: 60000
cors:
  corsEnabled: true
  allowedOrigins: "*"

process:
  definitions:
    classification:
      plannedMeasureDbid: 2

# Bei Mittelspannung oder bei den nachfolgend definierten Branches füge Adress-Polygonpunkte für Kartenanzeige hinzu
# Kommaseparierte Liste (Bsp.: "TV,TE,TI,TK,IN,ST,OS")
polygonBranches: "TK"

reminder:
  status-change:
    enabled: false
    minutes-before: 1440

distribution-group-publisher:
  name: Veröffentlicher
  distribution-text: Bitte anpassen

export-to-dmz:
  enabled: true
  password: cacheUpdateStrongPassword
  source: ewe
  #cron: "0 0 * * * *" # every hour
  cron: "0 */1 * ? * *" #every minute
  #cron: "*/10 * * ? * *" #10 sec

smsApiKey:
smsUrl:

swagger:
  enabled: true
  #baseUrl: /gridfailureinformation/api

failureAutoClose: false
failureAutoCloseHoursAfter: 48
#failureAutoCloseHoursAfter: 2880 #48h in minutes
#failureAutoCloseCron: "0 */5 * * * *"
failureAutoCloseCron: "*/10 * * ? * *" #10 sec

geoJsonImport:
  filepattern: '^geoj_(\d+)_(.*).(json)$'
  enabled: false
  cron: "0 */1 * ? * *" #every minute
  #cron: "*/10 * * ? * *" #10 sec
  #folder: "C:\\Workspace\\Projekte\\OpenK\\EGitlab\\SIT\\test"
  #folder: "/usr/src/sit/geojsonimporter"
  folder: "./src/test/resources/geoJsonImporterTest/tmpFolder"

---

backend-version: 1.0.0
spring:
  datasource:
    url: jdbc:postgresql://localhost:5432/GridFailureInfoServer
    user: gfi_service
    password: gfi_service
    max-active: 5
  flyway:
    enabled: false
  main:
    allow-bean-definition-overriding: true
  config:
    activate:
      on-profile: my

  # RabbitMQ configuration
  rabbitmq:
    host: ${RMQ_HOST}
    port: 5672
    username: ${RMQ_USER}
    password: ${RMQ_PASSWORD}

    # Importchannel
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

    # Exportchannels
    exportExchange: sitExportExchange
    mail_export_queue: sit_mail_export_queue
    mail_export_routingkey: sit_mail_export_key
    channels:
      - name: Mail (lang)
        exportQueue: sit_mail_export_queue
        exportKey: sit_mail_export_key
        type: longMail # EMail
        initialDefault: true
      - name: Mail (kurz)
        exportQueue: sit_mail_export_queue
        exportKey: sit_mail_export_key
        type: shortMail # For example SMS
        initialDefault: true
      - name: Störungsauskunft.de
        exportQueue: sit_stoerungsauskunft_export_queue
        exportKey: sit_stoerungsauskunft_export_key
        type: stoerungsauskunftde
        initialDefault: false
      - name: Störinfotool-eigene-Web-Komponenten #App und Internet
        exportQueue: sit_own_export_queue
        exportKey: sit_own_export_key
        type: webcomponent
        initialDefault: false

  # UI setting (Map)
  settings:
    overviewMapInitialZoom: 10
    detailMapInitialZoom: 10
    overviewMapInitialLatitude: 49.656634
    overviewMapInitialLongitude: 8.423207
    daysInPastToShowClosedInfos: 365
    dataExternInitialVisibility: hide
    #dataExternInitialVisibility: show

    mapTileAttribution: "&copy; <a href=\"http://www.openstreetmap.org/copyright\">OpenStreetMap</a>"
    mapTileLayerUrl: "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
    #mapTileLayerUrl: "http://company1.wms.omniscale.net/mapproxy/service?"
    #mapWmsLayer: "osm"
    #iconUrl: "http://localhost:4201/assets/Stoerungsinformation/marker-icon.png"
    iconUrl: "http://localhost:4201/marker-icon.png"
    #iconUrl:

    plzLookupEnabled: true
    nominatimURL: https://nominatim.openstreetmap.org

    isUseHtmlEmailBtnTemplate: true
    # Mail settings (Default templates)
    emailSubjectPublishInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status veröffentlicht geändert."
    emailContentPublishInit: "<p><b>Veröffentlicht [TEST]</b></p>
                              <p>Sehr geehrte Damen und Herren,</p>
                              <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                              $Direkter_Link_zur_Störung$
                              <p>Mit freundlichen Grüßen</p>
                              <p>Ihr Admin-Meister-Team der PTA GmbH</p>"
    emailSubjectUpdateInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status aktualisiert geändert."
    emailContentUpdateInit: "<p><b>Aktualisiert [TEST]</b></p>
                             <p>Sehr geehrte Damen und Herren,</p>
                             <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                             $Direkter_Link_zur_Störung$
                             <p>Mit freundlichen Grüßen</p>
                             <p>Ihr Admin-Meister-Team der PTA GmbH</p>"
    emailSubjectCompleteInit: "Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status beendet geändert."
    emailContentCompleteInit: "<p><b>Beendet [TEST]</b></p>
                              <p>Sehr geehrte Damen und Herren,</p>
                              <p>die im Betreff genannte Meldung ist über folgenden Link erreichbar:</p>
                              $Direkter_Link_zur_Störung$
                              <p>Mit freundlichen Grüßen</p>
                              <p>Ihr Admin-Meister-Team der PTA GmbH</p>"

    # Mail settings short text (SMS) (Default templates)
    emailSubjectPublishShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status veröffentlicht geändert."
    emailContentPublishShortInit: "Veröffentlicht [SHORT-TEST]
                              Sehr geehrte Damen und Herren,
                              die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                              $Direkter_Link_zur_Störung$
                              Mit freundlichen Grüßen
                              Ihr Admin-Meister-Team der PTA GmbH"
    emailSubjectUpdateShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status aktualisiert geändert."
    emailContentUpdateShortInit: "Aktualisiert [SHORT-TEST]
                                  Sehr geehrte Damen und Herren,
                                  die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                                  $Direkter_Link_zur_Störung$
                                  Mit freundlichen Grüßen
                                  Ihr Admin-Meister-Team der PTA GmbH"
    emailSubjectCompleteShortInit: "[SHORT-TEST] Die Störung (Sparte: $Sparte$) mit Beginn: $Störungsbeginn_gemeldet$ wurde in den Status beendet geändert."
    emailContentCompleteShortInit: "Beendet [SHORT-TEST]
                                  Sehr geehrte Damen und Herren,
                                  die im Betreff genannte Meldung ist über folgenden Link erreichbar:
                                  $Direkter_Link_zur_Störung$
                                  Mit freundlichen Grüßen
                                  Ihr Admin-Meister-Team der PTA GmbH"

    visibilityConfiguration:
      fieldVisibility:
        failureClassification: show
        responsibility: show
        description: show
        internalRemark: show
      tableInternColumnVisibility:
        failureClassification: show
        responsibility: show
        description: show
        statusIntern: show
        statusExtern: show
        publicationStatus: show
        branch: show
        voltageLevel: show
        pressureLevel: show
        failureBegin: show
        failureEndPlanned: show
        failureEndResupplied: show
        expectedReasonText: show
        internalRemark: show
        postcode: show
        city: show
        district: show
        street: show
        housenumber: show
        radius: show
        stationIds: show
      tableExternColumnVisibility:
        branch: show
        failureBegin: show
        failureEndPlanned: show
        expectedReasonText: show
        description: show
        postcode: show
        city: show
        district: show
        street: show
        failureClassification: show
      mapExternTooltipVisibility:
        failureBegin: show
        failureEndPlanned: show
        expectedReasonText: show
        branch: show
        postcode: show
        city: show
        district: show
  jpa:
    show-sql: false

logging:
  level:
    root: INFO
    org.eclipse.openk: INFO
    org.springframework.web: ERROR
    org.hibernate: ERROR

server:
  port: 9165
  max-http-request-header-size: 262144

jwt:
  tokenHeader: Authorization
  useStaticJwt: true
  staticJwt: eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJIYlI3Z2pobmE2eXJRZnZJTWhUSV9tY2g3ZmtTQWVFX3hLTjBhZVl0bjdjIn0.eyJqdGkiOiJlMmQ2YjE3Zi1iMWUyLTQxMzUtOTM1YS0zOWRiMmFkMzE5MjYiLCJleHAiOjE1ODYwMTI1MzUsIm5iZiI6MCwiaWF0IjoxNTg2MDEyMjM1LCJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjgwODAvYXV0aC9yZWFsbXMvRWxvZ2Jvb2siLCJhdWQiOiJlbG9nYm9vay1iYWNrZW5kIiwic3ViIjoiMzMzMmRmOWItYmYyMy00Nzg5LThmMmQtM2JhZTM2MzA4YzNkIiwidHlwIjoiQmVhcmVyIiwiYXpwIjoiZWxvZ2Jvb2stYmFja2VuZCIsImF1dGhfdGltZSI6MCwic2Vzc2lvbl9zdGF0ZSI6IjYxMzRmN2RhLTdlNjQtNDJjNy05NjYyLTY0ZGNhZTk1MjQ5YSIsImFjciI6IjEiLCJhbGxvd2VkLW9yaWdpbnMiOlsiKiJdLCJyZWFsbV9hY2Nlc3MiOnsicm9sZXMiOlsiZ3JpZC1mYWlsdXJlLXF1YWxpZmllciIsImdyaWQtZmFpbHVyZS1jcmVhdG9yIiwiZ3JpZC1mYWlsdXJlLWFjY2VzcyIsImdyaWQtZmFpbHVyZS1hZG1pbiIsImdyaWQtZmFpbHVyZS1wdWJsaXNoZXIiXX0sInJlc291cmNlX2FjY2VzcyI6e30sIm5hbWUiOiJTdGF0aWMgSldUIiwicHJlZmVycmVkX3VzZXJuYW1lIjoidGVzdHVzZXJfZ2ZpX3N0YXRpY2p3dCIsImdpdmVuX25hbWUiOiJTdGF0aWMiLCJmYW1pbHlfbmFtZSI6IkpXVCJ9.SWpekZHxlDNWbaaZ2fHlts00c1Xi6yIb0ZMr9f8ujSI_6LVYuHx8FTt6g9tinyVcx5gQKfrooRW28Cdq1EVuexNtTtZ7ciKk4iEo_kgqUgRvHCwO7HQl2igpoGErheYD0kj3-u4Te6NPHKtXWIEfGyl0ZQBD2c4vtaCTQAy5Ilb146G7p_IcLYaZgpJPlGG0Bf2oZ0UqTQsrXxRJkXWARDz8D4lIrN84lAbqNlPlSZDN-8xp_z6mXgWpvgeZuFoYHItJMg2cjR0SXH-ycbWVXctRNQJfTWR0acIhp_nB_Xe6JlUx2vls99EVw-WUrd0hc8Y9658HdeyktvpQLDxP2g
  requiredRole:

gridFailureInformation:
  maxListSize: 2000

email:
  sender: sender@test.tester
  smtpHost: localhost
  port: 1025
  isHtmlEmail: true
  isUseHtmlEmailTemplate: true

# Services configuration
services:
  authNAuth:
    name: authNAuthService
    technical-username: admin
    technical-userpassword: admin
  contacts:
    name: contactService
    communicationType:
      mobile: Mobil
    useModuleNameForFilter: false
    moduleName: Störungsinformationstool
  sitCache:
    name: sitCacheService

#feLoginURL: http://entdockergss:4223
feLoginURL:
portalFeLoginURL: http://portal.localhost/portalFE/#/login
#portalFeModulename: Störungsinformationstool
portalFeModulename: SIT local
authNAuthService:
  ribbon:
    #listOfServers: http://portal.localhost
    listOfServers: http://localhost:8080


contactService:
  ribbon:
    listOfServers: http://localhost:9155

sitCacheService:
  ribbon:
    listOfServers: http://localhost:3000

feign:
  client:
    config:
      default:
        connectTimeout: 60000
        readTimeout: 60000
cors:
  corsEnabled: true

process:
  definitions:
    classification:
      plannedMeasureDbid: 2

# Bei Mittelspannung oder bei den nachfolgend definierten Branches füge Adress-Polygonpunkte für Kartenanzeige hinzu
# Kommaseparierte Liste (Bsp.: "TV,TE,TI,TK,IN,ST,OS")
polygonBranches: "TK"

reminder:
  status-change:
    enabled: false
    minutes-before: 1440

distribution-group-publisher:
  name: Veröffentlicher
  distribution-text: Bitte anpassen

export-to-dmz:
  enabled: true
  password: cacheUpdateStrongPassword
  source: ewe
  #cron: "0 0 * * * *" # every hour
  cron: "0 */1 * ? * *" #every minute
  #cron: "*/10 * * ? * *" #10 sec

smsApiKey:
smsUrl:

swagger:
  enabled: true
  #baseUrl: /gridfailureinformation/api

failureAutoClose: false
failureAutoCloseHoursAfter: 48
#failureAutoCloseHoursAfter: 2880 #48h in minutes
#failureAutoCloseCron: "0 */5 * * * *"
failureAutoCloseCron: "*/10 * * ? * *" #10 sec

geoJsonImport:
  filepattern: '^geoj_(\d+)_(.*).(json)$'
  enabled: false
  cron: "0 */1 * ? * *" #every minute
  #cron: "*/10 * * ? * *" #10 sec
  #folder: "C:\\Workspace\\Projekte\\OpenK\\EGitlab\\SIT\\test"
  #folder: "/usr/src/sit/geojsonimporter"
  folder: "./src/test/resources/geoJsonImporterTest/tmpFolder"

---

spring:
  config:
    activate:
      on-profile: oracle
  datasource:
    enable-oracle-configuration: true
    url: jdbc:oracle:thin:@LIDLORADB2.PTA.DE:1521:NAPDB00
    username: dietricf
    password: dietricf000
  jpa:
    database-platform: org.hibernate.dialect.Oracle10gDialect
    show-sql: false

oracle:
  ucp:
    minPoolSize: 2
    maxPoolSize: 10

logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR
    org.hibernate: ERROR

jwt:
  tokenHeader: Authorization
  useStaticJwt: false
  staticJwt: eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJIYlI3Z2pobmE2eXJRZnZJTWhUSV9tY2g3ZmtTQWVFX3hLTjBhZVl0bjdjIn0.eyJqdGkiOiJlMmQ2YjE3Zi1iMWUyLTQxMzUtOTM1YS0zOWRiMmFkMzE5MjYiLCJleHAiOjE1ODYwMTI1MzUsIm5iZiI6MCwiaWF0IjoxNTg2MDEyMjM1LCJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjgwODAvYXV0aC9yZWFsbXMvRWxvZ2Jvb2siLCJhdWQiOiJlbG9nYm9vay1iYWNrZW5kIiwic3ViIjoiMzMzMmRmOWItYmYyMy00Nzg5LThmMmQtM2JhZTM2MzA4YzNkIiwidHlwIjoiQmVhcmVyIiwiYXpwIjoiZWxvZ2Jvb2stYmFja2VuZCIsImF1dGhfdGltZSI6MCwic2Vzc2lvbl9zdGF0ZSI6IjYxMzRmN2RhLTdlNjQtNDJjNy05NjYyLTY0ZGNhZTk1MjQ5YSIsImFjciI6IjEiLCJhbGxvd2VkLW9yaWdpbnMiOlsiKiJdLCJyZWFsbV9hY2Nlc3MiOnsicm9sZXMiOlsiZ3JpZC1mYWlsdXJlLXF1YWxpZmllciIsImdyaWQtZmFpbHVyZS1jcmVhdG9yIiwiZ3JpZC1mYWlsdXJlLWFjY2VzcyIsImdyaWQtZmFpbHVyZS1hZG1pbiIsImdyaWQtZmFpbHVyZS1wdWJsaXNoZXIiXX0sInJlc291cmNlX2FjY2VzcyI6e30sIm5hbWUiOiJTdGF0aWMgSldUIiwicHJlZmVycmVkX3VzZXJuYW1lIjoidGVzdHVzZXJfZ2ZpX3N0YXRpY2p3dCIsImdpdmVuX25hbWUiOiJTdGF0aWMiLCJmYW1pbHlfbmFtZSI6IkpXVCJ9.SWpekZHxlDNWbaaZ2fHlts00c1Xi6yIb0ZMr9f8ujSI_6LVYuHx8FTt6g9tinyVcx5gQKfrooRW28Cdq1EVuexNtTtZ7ciKk4iEo_kgqUgRvHCwO7HQl2igpoGErheYD0kj3-u4Te6NPHKtXWIEfGyl0ZQBD2c4vtaCTQAy5Ilb146G7p_IcLYaZgpJPlGG0Bf2oZ0UqTQsrXxRJkXWARDz8D4lIrN84lAbqNlPlSZDN-8xp_z6mXgWpvgeZuFoYHItJMg2cjR0SXH-ycbWVXctRNQJfTWR0acIhp_nB_Xe6JlUx2vls99EVw-WUrd0hc8Y9658HdeyktvpQLDxP2g

server:
  port: 9165

cors:
  corsEnabled: true

swagger:
  enabled: true

---

spring:
  config:
    activate:
      on-profile: qserver
  datasource:
    url: jdbc:postgresql://localhost:5432/GridFailureInfoQaServer
    username: ${GFI_DB_USERNAME}
    password: ${GFI_DB_PASSWORD}
    max-active: 30
  flyway:
    enabled: false
  rabbitmq:
    host: localhost
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}

    # Importkanal
    importExchange: sitImportExchange
    importQueue: sitImportQueue
    importkey: sitImportExchange.failureImportKey

    # Exportkanäle
    exportExchange: sitExportExchange
    channels:
      - name: Mail
        exportQueue: sit_mail_export_queue
        exportKey: sit_mail_export_key
        isMailType: true
      - name: Störungsauskunft.de
        exportQueue: sit_stoerungsauskunft_export_queue
        exportKey: sit_stoerungsauskunft_export_key
      - name: Störinfotool-eigene-Web-Komponenten
        exportQueue: sit_own_export_queue
        exportKey: sit_own_export_key
logging:
  level:
    root: INFO
    org.eclipse.openk: DEBUG
    org.springframework.web: ERROR
    org.hibernate: ERROR

server:
  port: 9165
  servlet:
    session:
      tracking-modes: cookie
  max-http-request-header-size: 262144

jwt:
  tokenHeader: Authorization
  useStaticJwt: false
  staticJwt: eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICJIYlI3Z2pobmE2eXJRZnZJTWhUSV9tY2g3ZmtTQWVFX3hLTjBhZVl0bjdjIn0.eyJqdGkiOiJlMmQ2YjE3Zi1iMWUyLTQxMzUtOTM1YS0zOWRiMmFkMzE5MjYiLCJleHAiOjE1ODYwMTI1MzUsIm5iZiI6MCwiaWF0IjoxNTg2MDEyMjM1LCJpc3MiOiJodHRwOi8vbG9jYWxob3N0OjgwODAvYXV0aC9yZWFsbXMvRWxvZ2Jvb2siLCJhdWQiOiJlbG9nYm9vay1iYWNrZW5kIiwic3ViIjoiMzMzMmRmOWItYmYyMy00Nzg5LThmMmQtM2JhZTM2MzA4YzNkIiwidHlwIjoiQmVhcmVyIiwiYXpwIjoiZWxvZ2Jvb2stYmFja2VuZCIsImF1dGhfdGltZSI6MCwic2Vzc2lvbl9zdGF0ZSI6IjYxMzRmN2RhLTdlNjQtNDJjNy05NjYyLTY0ZGNhZTk1MjQ5YSIsImFjciI6IjEiLCJhbGxvd2VkLW9yaWdpbnMiOlsiKiJdLCJyZWFsbV9hY2Nlc3MiOnsicm9sZXMiOlsiZ3JpZC1mYWlsdXJlLXF1YWxpZmllciIsImdyaWQtZmFpbHVyZS1jcmVhdG9yIiwiZ3JpZC1mYWlsdXJlLWFjY2VzcyIsImdyaWQtZmFpbHVyZS1hZG1pbiIsImdyaWQtZmFpbHVyZS1wdWJsaXNoZXIiXX0sInJlc291cmNlX2FjY2VzcyI6e30sIm5hbWUiOiJTdGF0aWMgSldUIiwicHJlZmVycmVkX3VzZXJuYW1lIjoidGVzdHVzZXJfZ2ZpX3N0YXRpY2p3dCIsImdpdmVuX25hbWUiOiJTdGF0aWMiLCJmYW1pbHlfbmFtZSI6IkpXVCJ9.SWpekZHxlDNWbaaZ2fHlts00c1Xi6yIb0ZMr9f8ujSI_6LVYuHx8FTt6g9tinyVcx5gQKfrooRW28Cdq1EVuexNtTtZ7ciKk4iEo_kgqUgRvHCwO7HQl2igpoGErheYD0kj3-u4Te6NPHKtXWIEfGyl0ZQBD2c4vtaCTQAy5Ilb146G7p_IcLYaZgpJPlGG0Bf2oZ0UqTQsrXxRJkXWARDz8D4lIrN84lAbqNlPlSZDN-8xp_z6mXgWpvgeZuFoYHItJMg2cjR0SXH-ycbWVXctRNQJfTWR0acIhp_nB_Xe6JlUx2vls99EVw-WUrd0hc8Y9658HdeyktvpQLDxP2g

portalFeLoginURL: http://169.50.13.154/portalFE/#/login
portalFeModulename: Störungsinformationstool
services:
  authNAuth:
    name: authNAuthService
    technical-username: admin_technical_portal
    technical-userpassword: admin_technical_portal
  contacts:
    name: contactService
    communicationType:
      mobile: Mobil
  sitCache:
    name: sitCacheService

authNAuthService:
  ribbon:
    listOfServers: http://localhost:8080

contactService:
  ribbon:
    listOfServers: http://localhost:9155

sitCacheService:
  ribbon:
    listOfServers: http://localhost:3000

cors:
  corsEnabled: true

swagger:
  enabled: true
  baseUrl: /gridfailureinformation/api
